aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Francois Perrad <fperrad@gmail.com>2020-07-28 08:21:40 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2020-08-08 23:47:56 +0200
commit8bd7239ca32f20102aad19dbb3ca647182edbf92 (patch)
treef556f71d918546fad5a65c1ea86ca4190d39c3f8
parentaf0357140c6b2addc12a05dccb7397de78e39edd (diff)
downloadbuildroot-8bd7239ca32f20102aad19dbb3ca647182edbf92.tar.gz
buildroot-8bd7239ca32f20102aad19dbb3ca647182edbf92.tar.bz2
package/prosody: luabitop is only needed with Lua 5.1
The luabitop package is only available with Lua 5.1. LuaJIT, Lua 5.3 or more recent versions of Lua have this functionality built-in. Signed-off-by: Francois Perrad <francois.perrad@gadz.org> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
-rw-r--r--package/prosody/Config.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/prosody/Config.in b/package/prosody/Config.in
index 4b7ea94256..bb3a5025fa 100644
--- a/package/prosody/Config.in
+++ b/package/prosody/Config.in
@@ -3,7 +3,7 @@ config BR2_PACKAGE_PROSODY
depends on BR2_USE_MMU # fork
depends on BR2_PACKAGE_HAS_LUAINTERPRETER
depends on !BR2_STATIC_LIBS # luaexpat, luasec, luasocket, luafilesystem
- select BR2_PACKAGE_LUABITOP if !BR2_PACKAGE_LUAJIT # runtime
+ select BR2_PACKAGE_LUABITOP if BR2_PACKAGE_LUA_5_1 # runtime
select BR2_PACKAGE_LUAEXPAT # runtime
select BR2_PACKAGE_LUASEC # runtime
select BR2_PACKAGE_LUASOCKET # runtime